# Memcached::add

(PECL memcached >= 0.1.0)

Memcached::add — Ajoute un nouvel élément sous une nouvelle clé

### Description

public Memcached::add(string `$key`, mixed `$value`, int `$expiration` = 0): bool

Memcached::add() est similaire à Memcached::set(),mais l'opération échoue si la clé `key` existe déjà.

### Liste de paramètres

`key`

  La clé avec laquelle stocker la valeur.

`value`

  La valeur à stocker.

`expiration`

  Le délai d'expiration, par défaut à zéro. Voyez délais d'expiration pour plus d'informations.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient. La méthode Memcached::getResultCode() retourne la constante `Memcached::RES_NOTSTORED` si la clé existe déjà.

### Voir aussi

- Memcached::addByKey() - Ajoute un élément sur un serveur désigné
- Memcached::set() - Stocke un élément
- Memcached::replace() - Remplace un élément sous une clé